#include <stdio.h>
#include <stdlib.h>
#include "sysp.h"

void main(void);

void main(void) {

	 BIOS_ID _far *id;
	 int i;

	 id = getbiosi();

	 printf("\nИдентификатор BIOS:"
			  "\n"
			  "\nДата изготовления: ");

	 for(i=0; i<8; i++) {
		putch(id->date[i]);
	 }

	 printf("\nРезервное поле:    %04.4X"
			  "\nТип компьютера:    %02.2X"
			  "\n",
			  id->reserve,
			  (unsigned char)id->pc_type);

	 exit(0);
}

